Chromium Code Reviews
Help | Chromium Project | Sign in
(10)

Issue 463063003: Add lextab.pyc as an output of the cached_lex_yacc_tables action (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
9 months, 2 weeks ago by Jens Widell
Modified:
9 months, 1 week ago
CC:
blink-reviews, blink-reviews-bindings_chromium.org, arv+blink, abarth
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Project:
blink
Visibility:
Public.

Description

Add lextab.pyc as an output of the cached_lex_yacc_tables action The primary output is lextab.py, but since it is imported, Python also writes lextab.pyc. Listing it too as an output means it won't be left around by "ninja -t clean" (and not much else, I think.) Prior to the patch https://codereview.chromium.org/425953002/ the result of not having lextab.pyc listed as an output and running "ninja -t clean" was a tree that would build correctly, but that would always rerun all the IDL code generation scripts, and thus never become "clean". BUG=397909 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=180142

Patch Set 1 #

Messages

Total messages: 21 (0 generated)
Jens Widell
PTAL
9 months, 2 weeks ago (2014-08-12 14:28:06 UTC) #1
haraken
LGTM. Thanks for taking care of these subtle build issues.
9 months, 2 weeks ago (2014-08-12 14:31:33 UTC) #2
Jens Widell
The CQ bit was checked by jl@opera.com
9 months, 2 weeks ago (2014-08-12 14:34:16 UTC) #3
I haz the power - commit-bot
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/jl@opera.com/463063003/1
9 months, 2 weeks ago (2014-08-12 14:34:55 UTC) #4
Nils Barth (inactive)
LGTM, thanks, updated docs: http://www.chromium.org/developers/generated-files One last subtle point: is the .pyc file generated *by ...
9 months, 2 weeks ago (2014-08-12 14:35:02 UTC) #5
Jens Widell
On 2014/08/12 14:35:02, Nils Barth (inactive) wrote: > One last subtle point: > is the ...
9 months, 2 weeks ago (2014-08-12 14:43:00 UTC) #6
Nils Barth (inactive)
On 2014/08/12 14:43:00, Jens Lindström wrote: > On 2014/08/12 14:35:02, Nils Barth (inactive) wrote: > ...
9 months, 2 weeks ago (2014-08-12 14:47:41 UTC) #7
I haz the power - commit-bot
FYI, CQ is re-trying this CL (attempt #1). The failing builders are: win_blink_rel on tryserver.blink ...
9 months, 2 weeks ago (2014-08-12 16:14:45 UTC) #8
I haz the power - commit-bot
The CQ bit was unchecked by commit-bot@chromium.org
9 months, 2 weeks ago (2014-08-12 17:46:08 UTC) #9
I haz the power - commit-bot
Try jobs failed on following builders: win_blink_rel on tryserver.blink (http://build.chromium.org/p/tryserver.blink/builders/win_blink_rel/builds/22292)
9 months, 2 weeks ago (2014-08-12 17:46:08 UTC) #10
Jens Widell
The CQ bit was checked by jl@opera.com
9 months, 2 weeks ago (2014-08-12 17:48:52 UTC) #11
I haz the power - commit-bot
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/jl@opera.com/463063003/1
9 months, 2 weeks ago (2014-08-12 17:49:32 UTC) #12
I haz the power - commit-bot
FYI, CQ is re-trying this CL (attempt #1). The failing builders are: win_blink_rel on tryserver.blink ...
9 months, 2 weeks ago (2014-08-12 18:13:58 UTC) #13
I haz the power - commit-bot
The CQ bit was unchecked by commit-bot@chromium.org
9 months, 2 weeks ago (2014-08-12 18:40:13 UTC) #14
I haz the power - commit-bot
Try jobs failed on following builders: win_blink_rel on tryserver.blink (http://build.chromium.org/p/tryserver.blink/builders/win_blink_rel/builds/22332)
9 months, 2 weeks ago (2014-08-12 18:40:15 UTC) #15
Jens Widell
The CQ bit was checked by jl@opera.com
9 months, 2 weeks ago (2014-08-13 06:02:55 UTC) #16
I haz the power - commit-bot
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/jl@opera.com/463063003/1
9 months, 2 weeks ago (2014-08-13 06:03:06 UTC) #17
I haz the power - commit-bot
Change committed as 180142
9 months, 2 weeks ago (2014-08-13 06:03:47 UTC) #18
cjhopman
On 2014/08/13 06:03:47, I haz the power (commit-bot) wrote: > Change committed as 180142 My ...
9 months, 2 weeks ago (2014-08-15 01:26:41 UTC) #19
Jens Widell
On 2014/08/15 01:26:41, cjhopman wrote: > On 2014/08/13 06:03:47, I haz the power (commit-bot) wrote: ...
9 months, 1 week ago (2014-08-15 06:04:45 UTC) #20
Jens Widell
9 months, 1 week ago (2014-08-15 06:10:17 UTC) #21
Message was sent while issue was closed.
A revert of this CL (patchset #1) has been created in
https://codereview.chromium.org/468743003/ by jl@opera.com.

The reason for reverting is: This CL added the assumption that Python will write
the lextab.pyc file. If that's a wrong assumption, which seems to be the case in
some situations, the result is that the cached_lex_yacc_tables target never
becomes clean, which in turn means that all IDL files are recompiled on each
build.

The problem fixed by this CL was cosmetic only, so is not worth the risk..
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld ec887be